Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class InvalidPipelineSessionStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.foundation.exception.ProcessingException
                      com.beasys.commerce.foundation.exception.PipelineFatalException
                          com.beasys.commerce.foundation.exception.InvalidPipelineSessionStateException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class InvalidPipelineSessionStateException

extends PipelineFatalException

This exception will be thrown if the state of the `PipelineSession` is invalid. For example: If the HTTP Session was invalidated due to timeout then the state of the `PipelineSession` may not be valid for some of the PipelineComponents which are sensitive to the information in the `PipelineSession`.

`InvalidPipelineSessionStateException`s or sub-classes of `InvalidPipelineSessionStateException` are meant to be thrown by `PipelineComponents`.

Note: Throughout this API documentation namespace refers to the resource bundle that contains the catalog of exception messages. Refer to the `MessageCatalog` API documentation for further details.

See Also
  `MessageCatalogException`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ProcessingException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`InvalidPipelineSessionStateException(String message)` Deprecated See BEA Commerce product offering
`InvalidPipelineSessionStateException(String message, Exception embeddedException)` Deprecated See BEA Commerce product offering
`InvalidPipelineSessionStateException(String namespace, String messageKey)` Deprecated See BEA Commerce product offering
`InvalidPipelineSessionStateException(String namespace, String messageKey, Exception embeddedException)` Deprecated See BEA Commerce product offering
`InvalidPipelineSessionStateException(String namespace, String messageKey, Object argument)` Deprecated See BEA Commerce product offering
`InvalidPipelineSessionStateException(String namespace, String messageKey, Object[] arguments)` Deprecated See BEA Commerce product offering
`InvalidPipelineSessionStateException(String namespace, String messageKey, Object[] arguments, Exception embeddedException)` Deprecated See BEA Commerce product offering
`InvalidPipelineSessionStateException(String namespace, String messageKey, Object argument, Exception embeddedException)` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ProcessingException
`setEmbeddedException`

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPipelineSessionStateException

    public InvalidPipelineSessionStateException(String message)

  Deprecated See BEA Commerce product offering

  Constructs a InvalidPipelineSessionStateException with the given message.

  Parameters
    `String` - the message.

### InvalidPipelineSessionStateException

    public InvalidPipelineSessionStateException(String message,
                                                Exception embeddedException)

  Deprecated See BEA Commerce product offering

  Constructs a InvalidPipelineSessionStateException with the given message and the embedded exception.

  Parameters
    `String` - the message.
    `Exception` - the Embedded Exception.

### InvalidPipelineSessionStateException

    public InvalidPipelineSessionStateException(String namespace,
                                                String messageKey)

  Deprecated See BEA Commerce product offering

  Constructs a InvalidPipelineSessionStateException.

  This uses the given namespace to do a lookup for the given messageKey.

  Parameters
    `String` - the name of the resource bundle which contains the given messageKey.
    `String` - the messageKey to look for.

### InvalidPipelineSessionStateException

    public InvalidPipelineSessionStateException(String namespace,
                                                String messageKey,
                                                Object argument)

  Deprecated See BEA Commerce product offering

  Constructs a InvalidPipelineSessionStateException.

  This uses the given namespace to do a lookup for the given messageKey. Once the message is found the argument is used to replaces the place holders in the message.

  Parameters
    `String` - the name of the resource bundle which contains the given messageKey.
    `String` - the messageKey to look for.
    `Object` - the argument that replaces the place holder in the message.

### InvalidPipelineSessionStateException

    public InvalidPipelineSessionStateException(String namespace,
                                                String messageKey,
                                                Object[] arguments)

  Deprecated See BEA Commerce product offering

  Constructs a InvalidPipelineSessionStateException.

  This uses the given namespace to do a lookup for the given messageKey. Once the message is found the argument is used to replaces the place holders in the message.

  Parameters
    `String` - the name of the resource bundle which contains the given messageKey.
    `String` - the message key to look for.
    `Object[]` - the arguments that replaces the place holders in the message

### InvalidPipelineSessionStateException

    public InvalidPipelineSessionStateException(String namespace,
                                                String messageKey,
                                                Exception embeddedException)

  Deprecated See BEA Commerce product offering

  Constructs a InvalidPipelineSessionStateException.

  This uses the given namespace to do a lookup for the given messageKey.

  Parameters
    `String` - the name of the resource bundle which contains the given messageKey.
    `String` - the message key to look for.
    `Exception` - the Embedded Exception.

### InvalidPipelineSessionStateException

    public InvalidPipelineSessionStateException(String namespace,
                                                String messageKey,
                                                Object argument,
                                                Exception embeddedException)

  Deprecated See BEA Commerce product offering

  Constructs a InvalidPipelineSessionStateException.

  This uses the given namespace to do a lookup for the given messageKey. Once the message is found the argument is used to replaces the place holders in the message.

  Parameters
    `String` - the name of the resource bundle which contains the given messageKey.
    `String` - the messageKey to look for.
    `Object` - the argument that replaces the place holder in the message.
    `Exception` - the Embedded Exception.

### InvalidPipelineSessionStateException

    public InvalidPipelineSessionStateException(String namespace,
                                                String messageKey,
                                                Object[] arguments,
                                                Exception embeddedException)

  Deprecated See BEA Commerce product offering

  Constructs a InvalidPipelineSessionStateException.

  This uses the given namespace to do a lookup for the given messageKey. Once the message is found the argument is used to replaces the place holders in the message.

  Parameters
    `String` - the name of the resource bundle which contains the given messageKey.
    `String` - the message key to look for.
    `Object[]` - the arguments that replaces the place holders in the message.
    `Exception` - the Embedded Exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved